Long Term Retention Backups - List By Database

Lists all long term retention backups for a database.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionServers/{longTermRetentionServerName}/longTermRetentionDatabases/{longTermRetentionDatabaseName}/longTermRetentionBackups?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionServers/{longTermRetentionServerName}/longTermRetentionDatabases/{longTermRetentionDatabaseName}/longTermRetentionBackups?api-version=2025-01-01&onlyLatestPerDatabase={onlyLatestPerDatabase}&databaseState={databaseState}

URI Parameters

Name In Required Type Description
locationName
path True

string

The location of the database.

longTermRetentionDatabaseName
path True

string

The name of the database

longTermRetentionServerName
path True

string

The name of the server

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

databaseState
query

DatabaseState

Whether to query against just live databases, just deleted databases, or all databases.

onlyLatestPerDatabase
query

boolean

Whether or not to only get the latest backup for each database.

Responses

Name Type Description
200 OK

LongTermRetentionBackupListResult

The request has succeeded.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get all long term retention backups under the database.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionServers/testserver/longTermRetentionDatabases/testDatabase/longTermRetentionBackups?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "55555555-6666-7777-8888-999999999999;131637960820000000;Hot",
      "type": "Microsoft.Sql/locations/longTermRetentionServers/longTermRetentionDatabases/longTermRetentionBackups",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionServers/testserver/longTermRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131637960820000000;Hot",
      "properties": {
        "backupStorageAccessTier": "Hot",
        "backupStorageRedundancy": "Geo",
        "backupTime": "2017-08-23T08:00:00Z",
        "databaseDeletionTime": null,
        "databaseName": "testDatabase",
        "isBackupImmutable": true,
        "legalHoldImmutability": "Enabled",
        "serverCreateTime": "2017-03-10T08:00:00Z",
        "serverName": "testserver",
        "timeBasedImmutability": "Disabled",
        "timeBasedImmutabilityMode": "Unlocked"
      }
    },
    {
      "name": "55555555-6666-7777-8888-999999999999;131677960820000000;Hot",
      "type": "Microsoft.Sql/locations/longTermRetentionServers/longTermRetentionDatabases/longTermRetentionBackups",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionServers/testserver/longTermRetentionDatabases/testDatabase/longTermRetentionBackups/55555555-6666-7777-8888-999999999999;131677960820000000;Hot",
      "properties": {
        "backupStorageAccessTier": "Hot",
        "backupStorageRedundancy": "Geo",
        "backupTime": "2017-09-06T08:00:00Z",
        "databaseDeletionTime": "2017-09-07T08:00:00Z",
        "databaseName": "testDatabase",
        "isBackupImmutable": true,
        "legalHoldImmutability": "Disabled",
        "serverCreateTime": "2017-03-10T08:00:00Z",
        "serverName": "testserver",
        "timeBasedImmutability": "Enabled",
        "timeBasedImmutabilityMode": "Unlocked"
      }
    }
  ]
}

Definitions

Name Description
BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backup

BackupStorageRedundancy

The storage account type used to store backups for this database.

createdByType

The type of identity that created the resource.

DatabaseState

Whether to query against just live databases, just deleted databases, or all databases.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

LongTermRetentionBackup

A long term retention backup.

LongTermRetentionBackupListResult

A list of long term retention backups.

SetLegalHoldImmutability

The setting for whether LegalHold is enabled or disabled on the LTR backup. When LegalHold is enabled, the backup cannot be deleted until the LegalHold is removed.

systemData

Metadata pertaining to creation and last modification of the resource.

TimeBasedImmutability

The setting for whether or not time-based immutability is enabled for the LTR backup. When time-based immutability is enabled and locked, the backup cannot be deleted until BackupExpirationTime.

TimeBasedImmutabilityMode

The time-based immutability mode. Only applicable if time-based immutability is enabled.

BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backup

Value Description
Hot

Hot

Archive

Archive

BackupStorageRedundancy

The storage account type used to store backups for this database.

Value Description
Geo

Geo

Local

Local

Zone

Zone

GeoZone

GeoZone

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DatabaseState

Whether to query against just live databases, just deleted databases, or all databases.

Value Description
All

All

Live

Live

Deleted

Deleted

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

LongTermRetentionBackup

A long term retention backup.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.backupExpirationTime

string (date-time)

The time the long term retention backup will expire.

properties.backupStorageAccessTier

BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backup

properties.backupStorageRedundancy

BackupStorageRedundancy

The storage redundancy type of the backup

properties.backupTime

string (date-time)

The time the backup was taken

properties.databaseDeletionTime

string (date-time)

The delete time of the database

properties.databaseName

string

The name of the database the backup belong to

properties.isBackupImmutable

boolean

The setting whether the LTR backup is immutable

properties.legalHoldImmutability

SetLegalHoldImmutability

The setting for whether LegalHold is enabled or disabled on the LTR backup. When LegalHold is enabled, the backup cannot be deleted until the LegalHold is removed.

properties.requestedBackupStorageRedundancy

BackupStorageRedundancy

The storage redundancy type of the backup

properties.serverCreateTime

string (date-time)

The create time of the server.

properties.serverName

string

The server name that the backup database belong to.

properties.timeBasedImmutability

TimeBasedImmutability

The setting for whether or not time-based immutability is enabled for the LTR backup. When time-based immutability is enabled and locked, the backup cannot be deleted until BackupExpirationTime.

properties.timeBasedImmutabilityMode

TimeBasedImmutabilityMode

The time-based immutability mode. Only applicable if time-based immutability is enabled.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

LongTermRetentionBackupListResult

A list of long term retention backups.

Name Type Description
nextLink

string

Link to retrieve next page of results.

value

LongTermRetentionBackup[]

Array of results.

SetLegalHoldImmutability

The setting for whether LegalHold is enabled or disabled on the LTR backup. When LegalHold is enabled, the backup cannot be deleted until the LegalHold is removed.

Value Description
Enabled

Enabled

Disabled

Disabled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TimeBasedImmutability

The setting for whether or not time-based immutability is enabled for the LTR backup. When time-based immutability is enabled and locked, the backup cannot be deleted until BackupExpirationTime.

Value Description
Enabled

Enabled

Disabled

Disabled

TimeBasedImmutabilityMode

The time-based immutability mode. Only applicable if time-based immutability is enabled.

Value Description
Locked

Locked

Unlocked

Unlocked